Page MenuHomePhabricator

[Story] Log/graph dispatch lag
Closed, ResolvedPublic

Description

Make sure dispatch lag gets logged/graphed somewhere. Like graphite.wikimedia.org .

See Also:
T47533: [Story] Add monitoring interface to wikibase

Details

Reference
bz73647

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:56 AM
bzimport added a project: Wikidata.org.
bzimport set Reference to bz73647.
bzimport added a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher set Security to None.
matej_suchanek renamed this task from make sure dispatch lag gets logged/graphed somewhere to Make sure dispatch lag gets logged/graphed somewhere.Aug 13 2015, 5:46 PM
matej_suchanek updated the task description. (Show Details)
Lydia_Pintscher renamed this task from Make sure dispatch lag gets logged/graphed somewhere to [Story] Log/graph dispatch lag.Aug 14 2015, 10:47 AM

I used to graph this... years ago.. but I dont any more.

I would love to see this on graphite, ganglia, or anywhere

Currently being tracked on graphite using P2298 running on stat1002.
This could be run from anywhere on the cluster.

See basic graphs at:

https://graphite.wikimedia.org/render/?width=586&height=308&target=wikidata.dispatch.*.lag

https://graphite.wikimedia.org/render/?width=586&height=308&target=wikidata.dispatch.*.pending

We could possibly productionize this?

We should productionize this. Any idea how? Is there a trigger in Wikibase where we could compute these or something similar and send to statsd? Or should we put it as an interim solution into limn-wikidata-data?

hoo assigned this task to Addshore.
hoo added a subscriber: hoo.

As far as I see this is all done by now.

In T75647#3166882, @hoo wrote:

As far as I see this is all done by now.

Yup!